summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMorris Jobke <hey@morrisjobke.de>2014-09-24 14:44:46 +0200
committerMorris Jobke <hey@morrisjobke.de>2014-09-24 14:44:46 +0200
commit74f6e04b17e32705796e2c4b91d867763bdc8606 (patch)
tree35fc8f3baf02d98d55dc9b833fad18713dcc0cc3
parent75b8488ab90d924a0902ebc5fb673036c1a7fca6 (diff)
parent05ac044e28416a2ad0e61e8cb2eb7a679ea25c42 (diff)
downloadnextcloud-server-74f6e04b17e32705796e2c4b91d867763bdc8606.tar.gz
nextcloud-server-74f6e04b17e32705796e2c4b91d867763bdc8606.zip
Merge pull request #11275 from owncloud/drop-if-e
Drop only if exists
-rwxr-xr-xautotest.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/autotest.sh b/autotest.sh
index 094f50d4370..8edb5f3915a 100755
--- a/autotest.sh
+++ b/autotest.sh
@@ -163,7 +163,7 @@ function execute_tests {
# drop database
if [ "$1" == "mysql" ] ; then
- mysql -u $DATABASEUSER -powncloud -e "DROP DATABASE $DATABASENAME" || true
+ mysql -u $DATABASEUSER -powncloud -e "DROP DATABASE IF EXISTS $DATABASENAME" || true
fi
if [ "$1" == "pgsql" ] ; then
dropdb -U $DATABASEUSER $DATABASENAME || true